Skip To Content

Microsoft SQL Server-Datenbank – Anforderungen für ArcGIS 10.7 und ArcGIS Pro 2.3

Allgemeine Informationen zur Unterstützung finden Sie auf der Support-Website von Esri unter Esri's Supported Environment Policy.

Unterstützte Datenbankversionen

Enterprise/Standard/Developer* Edition

Microsoft SQL Server 2017 (64 Bit)

Microsoft SQL Server 2017 für Linux (64 Bit)

Microsoft SQL Server 2016 (64 Bit)

Microsoft SQL Server 2014 SP3 (64 Bit)

Express Editionen

Microsoft SQL Server 2017 (64 Bit)

Microsoft SQL Server 2016 (64 Bit)

Microsoft SQL Server 2014 SP3 (64 Bit)

Hinweis:

* Developer Edition wird nur in nicht produktionsbezogenen Umgebungen unterstützt.

Unterstützte Betriebssysteme

Ist Ihr Datenbankverwaltungssystem auf einem Server installiert, auf dem ArcGIS-Produkte installiert sind, muss das Betriebssystem des Servers die Systemanforderungen für ArcGIS-Produkte sowie die Betriebssystemanforderungen für Ihre SQL Server-Version erfüllen.

Haben Sie Ihre Datenbank und ein ArcGIS-Produkt auf unterschiedlichen Servern installiert, können Sie die Betriebssystemanforderungen für Ihre SQL Server-Version der Microsoft-Dokumentation entnehmen.

Datenbankanforderungen und -beschränkungen

Nur authentifizierte Datenbankverbindungen werden unterstützt, wenn Sie eine Verbindung zwischen ArcGIS und SQL Server 2017 für Linux herstellen.

Für eine Verbindung mit SQL Server erforderliche Software

Auf Client-Computern, die eine direkte Verbindung mit SQL Server herstellen, muss ein SQL Server-Client installiert sein. SQL Server- Clients für Microsoft Windows und Linux werden von Microsoft vertrieben. SQL Server- Clients für Windows sind auch über My Esri verfügbar. Sie müssen einen Client installieren, der zumindest die gleiche Version aufweist wie die SQL Server-Datenbank, mit der Sie eine Verbindung herstellen möchten. Wenn Sie ein SQL Server-Upgrade durchführen, führen Sie gleichzeitig auch ein Upgrade der SQL Server-Clients durch. Wenn eine Version von SQL Server nicht mehr von ArcGIS unterstützt wird, wird auch die entsprechende SQL Server-Client-Bibliothek nicht mehr unterstützt.

Folgende SQL Server-Clients werden unterstützt:

  • SQL Server 2017
    • Microsoft ODBC Driver 17 für SQL Server
  • SQL Server 2016
    • Microsoft ODBC Driver 17 für SQL Server
    • Microsoft ODBC Driver 13 oder 13.1 für SQL Server
  • SQL Server 2014 SP3
    • Microsoft ODBC Driver 17 für SQL Server
    • Microsoft ODBC Driver 13 oder 13.1 für SQL Server
    • Microsoft ODBC Driver 11 für SQL Server

Hinweis:

Beim Herstellen einer Verbindung zwischen ArcGIS Server und einer unterstützten Version von SQL Server unter Ubuntu muss das Microsoft-Paket unixodbc-dev zusätzlich zum ODBC-Treiber auf allen ArcGIS Server-Computern installiert werden.